@use '@angular/material' as mat;

@include mat.core();

/* For use in src/lib/core/theming/_palette.scss */
$primary-pallette: (
    50 : #e0e9f2,
    100 : #b3c7df,
    200 : #80a2ca,
    300 : #4d7cb4,
    400 : #2660a4,
    500 : #004494,
    600 : #003e8c,
    700 : #003581,
    800 : #002d77,
    900 : #001f65,
    A100 : #95abff,
    A200 : #6283ff,
    A400 : #2f5bff,
    A700 : #1547ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);



$primary: mat.define-palette($primary-pallette);
$accent: mat.define-palette($primary-pallette);

$theme: mat.define-light-theme((
 color: (
   primary: $primary,
   accent: $accent,
 )
));

@include mat.all-component-themes($theme);
